%define name poppassd-ceti
%define version 1.8.5
# if the release is not passed by the user, use the default
%{!?release: %define release fc3}

Summary: An Eudora and NUPOP change password server.
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://bolanda.net/f/poppassd.html
Source0: http://bolanda.net/f/poppassd-%{version}.tar.gz
Source1: poppassd.pam
Source2: poppassd.xinetd
Patch0: poppassd-1.8.5.redhat.patch
License: Distributable
Provides: poppassd
Requires: pam net-tools setup tcp_wrappers sysklogd
Group: Networking/Remote access
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This program is based on original Qualcomm password changer daemon 
dedicated for, well, changing system passwords over network. 
The most common usage is to change user's passwords using a web form. 
The rationale behind using poppassd for that purpose is to separate 
web frontend (low privileges) from the system backend (root privileges 
necessary to change password). This program was written when I saw some 
hacks involving use of SUID CGIs etc.

%prep
%setup -n poppassd-%{version}
%patch0 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/sbin \
         $RPM_BUILD_ROOT%{_sysconfdir}/pam.d \
         $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
make INSTALL_PREFIX=$RPM_BUILD_ROOT install
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/poppassd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/poppassd
chmod 644 README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%attr(0700,root,root) %{_prefix}/sbin/poppassd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pam.d/poppassd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/poppassd

%changelog
* Wed Mar 30 2005 Oliver Schulze L. <oliver@samera.com.py> 1.8.5-fc3
- updated to 1.8.5
- Build on Fedora Core 3
- suported to build in any redhat/fedora system, just build the .src.rpm
  like this(for redhat 7.3):
  rpmbuild -ba -D "release rh73" poppassd-185.spec

* Thu Jul 03 2003 Oliver Schulze L. <oliver@samera.com.py> 1.8.3-1rh9
- updated to 1.8.2
- Build on RedHat Linux 9

* Wed Oct 02 2002 Oliver Schulze L. <oliver@samera.com.py> 1.8.2-1rh73
- updated to 1.8.2
- build on RedHat Linux 7.3

* Wed Oct 02 2002 Oliver Schulze L. <oliver@samera.com.py> 1.8.1-1rh73
- build on RedHat Linux 7.3

* Mon Apr 08 2002 Oliver Schulze L. <oliver@samera.com.py> 1.8.1-1rh7
- using one patch instead of many small ones
- using the save config for pam as /etc/pam.d/passwd in RH7x
- Updated to 1.8.1

* Fri Mar 08 2002 Oliver Schulze L. <oliver@samera.com.py> 1.8-3
- changed POP_MIN_UID to 500
- build on RedHat 7.1

* Thu Sep 06 2001 Philippe Libat <philippe@mandrakesoft.com> 1.8-2mdk
- fix require

* Mon Sep 03 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.8-1mdk
- initial release.
